Bug 1414387 - CVE-2017-3238 CVE-2017-3243 CVE-2017-3244 CVE-2017-3257 CVE-2017-3258 CVE-2017-3265 CVE-2017-3291 CVE-2017-3312 CVE-2017-3313 CVE-2017-3317 CVE-2017-3318 mariadb: various flaws [fedora-all]
Summary: CVE-2017-3238 CVE-2017-3243 CVE-2017-3244 CVE-2017-3257 CVE-2017-3258 CVE-201...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 25
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Waiting for upstream fix
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-3313
TreeView+ depends on / blocked
 
Reported: 2017-01-18 11:54 UTC by Adam Mariš
Modified: 2017-06-16 23:43 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-16 13:17:14 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-18 11:54:36 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2017-01-18 11:54:45 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1414338,1414340,1414342,1414350,1414351,1414353,1414355,1414357,1414387

# Description of your update
notes=Security fix for CVE-2017-3238, CVE-2017-3243, CVE-2017-3244, CVE-2017-3257, CVE-2017-3258, CVE-2017-3313, CVE-2017-3317, CVE-2017-3318

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Adam Mariš 2017-01-18 13:29:24 UTC
Adding parent bug 1414133 (for CVE-2017-3312).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1414387,1414338,1414340,1414342,1414350,1414351,1414353,1414355,1414357,1414133

# Description of your update
notes=Security fix for CVE-2017-3238, CVE-2017-3243, CVE-2017-3244, CVE-2017-3257, CVE-2017-3258, CVE-2017-3313, CVE-2017-3317, CVE-2017-3318, CVE-2017-3312

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Adam Mariš 2017-01-18 13:39:26 UTC
Adding parent bug 1414423 (for CVE-2017-3265).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1414387,1414133,1414338,1414340,1414342,1414350,1414351,1414353,1414355,1414357,1414423

# Description of your update
notes=Security fix for CVE-2017-3312, CVE-2017-3238, CVE-2017-3243, CVE-2017-3244, CVE-2017-3257, CVE-2017-3258, CVE-2017-3313, CVE-2017-3317, CVE-2017-3318, CVE-2017-3265

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 4 Adam Mariš 2017-01-18 13:40:11 UTC
Adding parent bug 1414429 (for CVE-2017-3291).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1414387,1414133,1414338,1414340,1414342,1414350,1414351,1414353,1414355,1414357,1414423,1414429

# Description of your update
notes=Security fix for CVE-2017-3312, CVE-2017-3238, CVE-2017-3243, CVE-2017-3244, CVE-2017-3257, CVE-2017-3258, CVE-2017-3313, CVE-2017-3317, CVE-2017-3318, CVE-2017-3265, CVE-2017-3291

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 6 Fedora Update System 2017-01-27 11:40:18 UTC
mariadb-10.1.21-1.fc24 mariadb-10.1.21-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f44f2b8c8

Comment 7 Fedora Update System 2017-01-27 11:47:24 UTC
mariadb-10.1.21-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f44f2b8c8

Comment 8 Fedora Update System 2017-01-27 11:48:44 UTC
mariadb-10.1.21-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-801e01d1ed

Comment 9 Fedora Update System 2017-01-29 02:21:28 UTC
mariadb-10.1.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f44f2b8c8

Comment 10 Fedora Update System 2017-01-29 02:21:59 UTC
mariadb-10.1.21-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-801e01d1ed

Comment 11 Fedora Update System 2017-02-09 04:21:28 UTC
mariadb-10.1.21-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-02-09 20:50:02 UTC
mariadb-10.1.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Michal Schorm 2017-02-10 14:05:00 UTC
All but one of theese CVEs were patched in MariaDB 10.1.21 version, which is now in stable repositories in all current branches.

I'll leave this bug as a tracker for the last one:
CVE-2017-3313

Comment 14 Michal Schorm 2017-02-14 13:40:29 UTC
Tracker created on upstream JIRA:
https://jira.mariadb.org/browse/MDEV-12043

Waiting for upstream fix, because the CVE deatils were not published by Oracle.

Comment 15 Tomas Hoger 2017-02-14 14:00:19 UTC
In the future, consider creating new bug for a missing fix, rather than doing this invasive bug dependency change.

Comment 16 Michal Schorm 2017-02-27 13:48:39 UTC
To Tomas Hoger:
   ouch, sorry, didn't knew "the right way".
   I'll be making new trackers in the future.

Status:
  The CVE-2017-3313 has been solved by the upstream and it will be dilevred in version 10.1.22.

Comment 17 Fedora Update System 2017-06-03 08:29:43 UTC
mariadb-10.1.24-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ae00b2a30a

Comment 18 Fedora Update System 2017-06-03 08:29:54 UTC
mariadb-10.1.24-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5e7e65f30

Comment 19 Fedora Update System 2017-06-03 08:30:01 UTC
mariadb-10.1.24-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-93035f94d5

Comment 20 Fedora Update System 2017-06-04 19:42:19 UTC
mariadb-10.1.24-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-93035f94d5

Comment 21 Fedora Update System 2017-06-05 01:58:25 UTC
mariadb-10.1.24-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5e7e65f30

Comment 22 Fedora Update System 2017-06-05 02:00:17 UTC
mariadb-10.1.24-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ae00b2a30a

Comment 23 Fedora Update System 2017-06-08 16:07:56 UTC
mariadb-10.1.24-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d04e48112b

Comment 24 Fedora Update System 2017-06-08 16:08:14 UTC
mariadb-10.1.24-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89daff1f64

Comment 25 Fedora Update System 2017-06-08 16:08:29 UTC
mariadb-10.1.24-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-120af70498

Comment 26 Fedora Update System 2017-06-09 13:31:49 UTC
mariadb-10.1.24-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d04e48112b

Comment 27 Fedora Update System 2017-06-09 13:41:03 UTC
mariadb-10.1.24-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89daff1f64

Comment 28 Fedora Update System 2017-06-09 14:04:06 UTC
mariadb-10.1.24-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8425f676f2

Comment 29 Fedora Update System 2017-06-09 14:04:28 UTC
mariadb-10.1.24-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c0609b92a

Comment 30 Fedora Update System 2017-06-09 14:04:41 UTC
mariadb-10.1.24-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-09dd8907da

Comment 31 Fedora Update System 2017-06-10 12:31:24 UTC
mariadb-10.1.24-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8425f676f2

Comment 32 Fedora Update System 2017-06-10 12:34:18 UTC
mariadb-10.1.24-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c0609b92a

Comment 33 Fedora Update System 2017-06-12 04:38:23 UTC
mariadb-10.1.24-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-09dd8907da

Comment 34 Fedora Update System 2017-06-16 13:17:14 UTC
mariadb-10.1.24-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2017-06-16 17:49:47 UTC
mariadb-10.1.24-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-06-16 18:51:39 UTC
mariadb-10.1.24-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Michal Schorm 2017-06-16 23:43:23 UTC
Build reached stable repositories.


Note You need to log in before you can comment on or make changes to this bug.